# RPM specfile for gtk-thinice-theme module
# Generated Wed Jan 23 19:55:46 2002 GMT by Ximian build system
# $Id: bb_do,v 1.157 2002/01/03 21:45:57 dobey Exp $
# from $Id: ximian-build.conf,v 1.3 2002/01/23 19:42:33 dobey Exp $

%define nam	gtk-thinice-theme
%define ver	1.0.4

Name:     	gtk-engines-thinice
Version: 	1.0.4
Release:	ximian.2
Vendor:		Ximian, Inc.
Distribution:	Ximian GNOME for SuSE Linux 7.1 / i386
Copyright:	GPL
BuildRoot:	/var/tmp/%{nam}-%{ver}-root
Docdir:         /usr/share/doc/packages
URL:		http://www.gnome.org/
Source0:	gtk-thinice-theme-1.0.4.tar.gz
Summary:	ThinIce theme for GTK+ 1.2
Group:		User Interfaces/Desktops

%description
This package contains a thinice 'theme' that allows you to configure
the look of GTK+ 1.2-using programs. The programs need no
modifications to use themes; the support is built in to GTK+ 1.2.
   

%files
%defattr(-, root, root)
%doc README
/usr/share/themes/ThinIce
/usr/lib/gtk/themes/engines/libthinice.*


# $RPM_COMMAND is an environment variable used by the Ximian build
# system to control the build process with finer granularity than RPM
# normally allows.  This specfile will function as expected by RPM if
# $RPM_COMMAND is unset.  If you are not the Ximian build system,
# feel free to ignore it.

%prep
case "${RPM_COMMAND:-all}" in
dist)
%setup  -q -D -n gtk-thinice-theme-1.0.4
    ;;
all)
%setup  -q -n gtk-thinice-theme-1.0.4
    ;;
esac

%build
MAKE=${MAKE:-make}
RPM_COMMAND=${RPM_COMMAND:-all}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
ARCH=%{_target_platform}
export MAKE RPM_COMMAND DESTDIR ARCH
case "$RPM_COMMAND" in
prepare|all)
    ./configure --prefix=/usr --sysconfdir=/etc --mandir=/usr/man --infodir=/usr/info --localstatedir=/var
    ;;
esac
case "$RPM_COMMAND" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac
case "$RPM_COMMAND" in
build|all)
    ${MAKE}
    ;;
esac

%install
MAKE=${MAKE:-make}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
# export DESTDIR
case "${RPM_COMMAND:-all}" in
install|all)
    ${MAKE} install prefix=${DESTDIR}/usr sysconfdir=${DESTDIR}/etc mandir=${DESTDIR}/usr/man infodir=${DESTDIR}/usr/info localstatedir=${DESTDIR}/var
    ;;
esac

%clean
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
export DESTDIR
case "${RPM_COMMAND:-all}" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac


%changelog
* Wed Jan 23 2002 Ximian, Inc.

- Version: 1.0.4-ximian.2
- New upstream version.

* Thu Nov  8 2001 thunder

- Version: 1.0.4-ximian.1
- Imported into packaging system.

